Skip to main content
`Ctrl`+`K`

# PetscSFWindowSetInfo

Set the `MPI_Info` handle that will be used for subsequent windows allocation

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowSetInfo(PetscSF sf, MPI_Info info)

Logically Collective

## Input Parameters

- sf - star forest for communication

- info - `MPI_Info` handle

## Note

The info handle is duplicated with a call to `MPI_Info_dup()` unless info = `MPI_INFO_NULL`.

## See Also

`PetscSF`, `PETSCSFWINDOW`, `PetscSFSetFromOptions()`, `PetscSFWindowGetInfo()`

## Level

advanced

## Location

src/vec/is/sf/impls/window/sfwindow.c

## Implementations

PetscSFWindowSetInfo_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages